package com.chinaitop.depot.hardware.basics.model;

import java.io.Serializable;
import java.util.Date;

public class ConfGrating implements Serializable {
    private static final long serialVersionUID = 535349882659120317L;
    private String id;

    private String jobIp;

    private String gratingIp;

    private Integer gratingPort;

    private Integer startPlace;

    private Integer channelNumber;

    private Integer onOff;

    private Date createdTime;

    private Date updateTime;

    private String operatorD;

    private String orgId;

    /**
     * 出入库光栅表主键
     * @return id 出入库光栅表主键
     */
    public String getId() {
        return id;
    }

    /**
     * 出入库光栅表主键
     * @param id 出入库光栅表主键
     */
    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    /**
     * 工作机IP
     * @return job_ip 工作机IP
     */
    public String getJobIp() {
        return jobIp;
    }

    /**
     * 工作机IP
     * @param jobIp 工作机IP
     */
    public void setJobIp(String jobIp) {
        this.jobIp = jobIp == null ? null : jobIp.trim();
    }

    /**
     * 设备IP地址
     * @return grating_ip 设备IP地址
     */
    public String getGratingIp() {
        return gratingIp;
    }

    /**
     * 设备IP地址
     * @param gratingIp 设备IP地址
     */
    public void setGratingIp(String gratingIp) {
        this.gratingIp = gratingIp == null ? null : gratingIp.trim();
    }

    /**
     * 端口号
     * @return grating_port 端口号
     */
    public Integer getGratingPort() {
        return gratingPort;
    }

    /**
     * 端口号
     * @param gratingPort 端口号
     */
    public void setGratingPort(Integer gratingPort) {
        this.gratingPort = gratingPort;
    }

    /**
     * 起始位
     * @return start_place 起始位
     */
    public Integer getStartPlace() {
        return startPlace;
    }

    /**
     * 起始位
     * @param startPlace 起始位
     */
    public void setStartPlace(Integer startPlace) {
        this.startPlace = startPlace;
    }

    /**
     * 通道号
     * @return channel_number 通道号
     */
    public Integer getChannelNumber() {
        return channelNumber;
    }

    /**
     * 通道号
     * @param channelNumber 通道号
     */
    public void setChannelNumber(Integer channelNumber) {
        this.channelNumber = channelNumber;
    }

    /**
     * 是否启用(0:否,1是)
     * @return on_off 是否启用(0:否,1是)
     */
    public Integer getOnOff() {
        return onOff;
    }

    /**
     * 是否启用(0:否,1是)
     * @param onOff 是否启用(0:否,1是)
     */
    public void setOnOff(Integer onOff) {
        this.onOff = onOff;
    }

    /**
     * 第一次创建时间
     * @return created_time 第一次创建时间
     */
    public Date getCreatedTime() {
        return createdTime;
    }

    /**
     * 第一次创建时间
     * @param createdTime 第一次创建时间
     */
    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    /**
     * 最后一次更新时间
     * @return update_time 最后一次更新时间
     */
    public Date getUpdateTime() {
        return updateTime;
    }

    /**
     * 最后一次更新时间
     * @param updateTime 最后一次更新时间
     */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    /**
     * 操作人
     * @return operator_d 操作人
     */
    public String getOperatorD() {
        return operatorD;
    }

    /**
     * 操作人
     * @param operatorD 操作人
     */
    public void setOperatorD(String operatorD) {
        this.operatorD = operatorD == null ? null : operatorD.trim();
    }

    /**
     * 组织机构编码
     * @return org_id 组织机构编码
     */
    public String getOrgId() {
        return orgId;
    }

    /**
     * 组织机构编码
     * @param orgId 组织机构编码
     */
    public void setOrgId(String orgId) {
        this.orgId = orgId == null ? null : orgId.trim();
    }

}