package com.chinaitop.depot.hardware.basics.service;

import com.chinaitop.depot.hardware.basics.model.TEnergyInfo;

import java.util.List;
import java.util.Map;

/**
 * @author hf
 * @description: 能耗检测
 * @create 2018-12-11 11:00
 */
public interface EnergyDetectionService {

    /**
     * 能耗电表查询
     * @return
     */
    List<TEnergyInfo> queryMeter(Integer orgId, String deviceNumber);


    /**
     * 根据id删除
     * @param id
     * @return
     */
    int deleteById(String id, String ammeterJson);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    TEnergyInfo getById(String id);

    /**
     * 验证编码是否重复
     * @param map
     * @return
     */
    TEnergyInfo validCode(Map<String, Object> map);

    /**
     * 新增数据
     * @param tEnergyInfo
     * @return
     */
    void add(TEnergyInfo tEnergyInfo);

    /**
     * 更新数据
     * @param tEnergyInfo
     * @return
     */
    void update(TEnergyInfo tEnergyInfo);

}
