package com.chinaitop.depot.hardware.basics.service.impl;

import com.chinaitop.depot.hardware.basics.mapper.ConfGratingMapper;
import com.chinaitop.depot.hardware.basics.model.ConfGrating;
import com.chinaitop.depot.hardware.basics.model.ConfGratingExample;
import com.chinaitop.depot.hardware.basics.service.ConfGratingService;
import com.chinaitop.depot.hardware.basics.utils.DateUtils;
import com.chinaitop.depot.hardware.basics.utils.Uuid;
import com.github.pagehelper.PageInfo;
import org.springframework.stereotype.Service;
import org.springframework.util.StringUtils;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author qingsong.han
 * @description:
 * @create 2021-06-23 15:20
 */
@Service
public class ConfGratingServiceImpl implements ConfGratingService {
    @Resource
    private ConfGratingMapper gratingMapper;


    @Override
    public int save(ConfGrating gratingJson) {
        gratingJson.setId(Uuid.getUUID());
        gratingJson.setCreatedTime(DateUtils.getDate());
        return gratingMapper.insert(gratingJson);
    }

    @Override
    public int update(ConfGrating gratingJson) {
        gratingJson.setUpdateTime(DateUtils.getDate());
        return gratingMapper.updateByPrimaryKeySelective(gratingJson);
    }

    @Override
    public PageInfo<ConfGrating> selectList(Integer pageNum, Integer pageSize, ConfGrating gratingJson) {
        ConfGratingExample example = new ConfGratingExample();
        ConfGratingExample.Criteria criteria = example.createCriteria();
        Integer onOff = gratingJson.getOnOff();
        String orgId = gratingJson.getOrgId();
        if (null != onOff)
            criteria.andOnOffEqualTo(onOff);
        if (!StringUtils.isEmpty(orgId))
            criteria.andOrgIdEqualTo(orgId);
        List<ConfGrating> gratingList = gratingMapper.selectByExample(example);
        return new PageInfo<>(gratingList);
    }

    @Override
    public int deleteById(String id) {
        return gratingMapper.deleteByPrimaryKey(id);
    }

}
